MoreLikeThisQuery (Lucene 10.5.0 queries API)
Description: declaration: package: org.apache.lucene.queries.mlt, class: MoreLikeThisQuery

Package org.apache.lucene.queries.mlt

# Class MoreLikeThisQuery

java.lang.Object
org.apache.lucene.search.Query
org.apache.lucene.queries.mlt.MoreLikeThisQuery

public class MoreLikeThisQuery extends Query
A simple wrapper for MoreLikeThis for use in scenarios where a Query object is required eg in custom QueryParser extensions. At query.rewrite() time the reader is used to construct the actual MoreLikeThis object and obtain the real Query object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoreLikeThisQuery(String likeText, String[] moreLikeFields, Analyzer analyzer, String fieldName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `Analyzer`
  `getAnalyzer()`
  `String`
  `getLikeText()`
  `int`
  `getMaxQueryTerms()`
  `int`
  `getMinDocFreq()`
  `int`
  `getMinTermFrequency()`
  `String[]`
  `getMoreLikeFields()`
  `float`
  `getPercentTermsToMatch()`
  `Set<?>`
  `getStopWords()`
  `int`
  `hashCode()`
  `Query`
  `rewrite(IndexSearcher indexSearcher)`
  `void`
  `setAnalyzer(Analyzer analyzer)`
  `void`
  `setLikeText(String likeText)`
  `void`
  `setMaxQueryTerms(int maxQueryTerms)`
  `void`
  `setMinDocFreq(int minDocFreq)`
  `void`
  `setMinTermFrequency(int minTermFrequency)`
  `void`
  `setMoreLikeFields(String[] moreLikeFields)`
  `void`
  `setPercentTermsToMatch(float percentTermsToMatch)`
  `void`
  `setStopWords(Set<?> stopWords)`
  `String`
  `toString(String field)`
  `void`
  `visit(QueryVisitor visitor)`

  ### Methods inherited from class org.apache.lucene.search.Query

  `classHash, createWeight, sameClassAs, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MoreLikeThisQuery

    public MoreLikeThisQuery(String likeText, String[] moreLikeFields, Analyzer analyzer, String fieldName)
    Parameters:
      `moreLikeFields` - fields used for similarity measure

- ## Method Details

  - ### rewrite

    public Query rewrite(IndexSearcher indexSearcher) throws IOException
    Overrides:
      `rewrite` in class `Query`
    Throws:
      `IOException`

  - ### toString

    public String toString(String field)
    Specified by:
      `toString` in class `Query`

  - ### getPercentTermsToMatch

    public float getPercentTermsToMatch()

  - ### setPercentTermsToMatch

    public void setPercentTermsToMatch(float percentTermsToMatch)

  - ### getAnalyzer

    public Analyzer getAnalyzer()

  - ### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

  - ### getLikeText

    public String getLikeText()

  - ### setLikeText

    public void setLikeText(String likeText)

  - ### getMaxQueryTerms

    public int getMaxQueryTerms()

  - ### setMaxQueryTerms

    public void setMaxQueryTerms(int maxQueryTerms)

  - ### getMinTermFrequency

    public int getMinTermFrequency()

  - ### setMinTermFrequency

    public void setMinTermFrequency(int minTermFrequency)

  - ### getMoreLikeFields

    public String[] getMoreLikeFields()

  - ### setMoreLikeFields

    public void setMoreLikeFields(String[] moreLikeFields)

  - ### getStopWords

    public Set<?> getStopWords()

  - ### setStopWords

    public void setStopWords(Set<?> stopWords)

  - ### getMinDocFreq

    public int getMinDocFreq()

  - ### setMinDocFreq

    public void setMinDocFreq(int minDocFreq)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Query`

  - ### equals

    public boolean equals(Object other)
    Specified by:
      `equals` in class `Query`

  - ### visit

    public void visit(QueryVisitor visitor)
    Specified by:
      `visit` in class `Query`